function [method, dataset] = identify(dirname)
% [method, dataset] = identify(dirname)
% Identify the methods and datasets 

methodlist=dir(dirname);
ll=length(methodlist)-2;
method=cell(ll,1);
for i=1:ll
    method{i}=methodlist(i+2).name;
end
dataset={};
for i=1:ll
    resulist=dir([dirname '\' method{i} '\*.resu']);
    pp=length(resulist)-2;
    ds=cell(pp,1);
    for j=1:pp
        name=resulist(j+2).name;
        s=findstr('_', name);
        ds{j}=name(1:s(1)-1);
    end
    dataset=[dataset; ds];
end
dataset=unique(dataset);

